#include <bits/stdc++.h>
using namespace std;

int a[1000001], a1[1000001];

bool sortiraj(int x, int y) {
    if (x < y)
        return false;
    return true;
}

int main()
{
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        a1[i] = a[i];
    }
    sort (a1, a1 + n, sortiraj);
    for (int i = 0; i < n; i++) {
        if (a[i] != a1[i]) {
            for (int j = i + 1; j < n; j++) {
                if (a[j] == a1[i])
                    swap(a[i], a[j]);
            }
            for (int j = 0; j < n; j++)
                cout << a[j] << " ";
            return 0;
        }
    }
    for (int i = 0; i < n - 2; i++) {
        cout << a[i] << " ";
    }
    cout << a[n - 1] << " " << a[n - 2];
    return 0;
}